# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Class Service.ClientStreamProperties

    java.lang.Object
      com.google.gdata.client.Service.ClientStreamProperties

All Implemented Interfaces:
  com.google.gdata.wireformats.StreamProperties

Direct Known Subclasses:
  Service.ClientInputProperties, Service.ClientOutputProperties

Enclosing class:
  Service

    protected abstract class Service.ClientStreamProperties

extends java.lang.Object
implements com.google.gdata.wireformats.StreamProperties

The ClientStreamProperties class is an abstract adaptor class that implements the `StreamProperties` interface for content to be written to or read from the target service based upon its attributes and a `Service.GDataRequest`.

Subclasses must implement the `StreamProperties.getContentType()` method since the expected content type depends on the direction of data transfer for the request.

Field Summary
`protected com.google.gdata.util.common.net.UriParameterMap` `queryMap`
`protected Service.GDataRequest` `req`

Constructor Summary
`protected` `Service.ClientStreamProperties()`
`protected` `Service.ClientStreamProperties(Service.GDataRequest req)`

Method Summary
`protected com.google.gdata.wireformats.AltFormat` `getAltFormat()` Returns the `AltFormat` describing the representation used for the current request.
`com.google.gdata.wireformats.AltRegistry` `getAltRegistry()` Returns the `AltRegistry` that contains the set of supported representations and the parser/generator configuration for them.
`ExtensionProfile` `getExtensionProfile()` Returns the `ExtensionProfile` associated with the stream.
`Service.GDataRequest` `getGDataRequest()`
`protected com.google.gdata.model.MetadataContext` `getMetadataContext()` Returns a `MetadataContext` based upon the alt format and version of the request associated with these properties.
`protected com.google.gdata.util.common.net.UriParameterMap` `getParameterMap()` Returns the `UriParameterMap` containing the decoded query parameters for the current request.
`java.lang.String` `getQueryParameter(java.lang.String name)` Returns the value of a request query parameter by name or `null` if not found.
`java.util.Collection<java.lang.String>` `getQueryParameterNames()` Returns a `Collection` that contains the name of all query parameters found in the request.
`Version` `getRequestVersion()`
`boolean` `isPartial()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.wireformats.StreamProperties
`getContentType, getRootMetadata`

Field Detail

### req

    protected final Service.GDataRequest req

### queryMap

    protected final com.google.gdata.util.common.net.UriParameterMap queryMap

Constructor Detail

### Service.ClientStreamProperties

    protected Service.ClientStreamProperties(Service.GDataRequest req)

### Service.ClientStreamProperties

    protected Service.ClientStreamProperties()

Method Detail

### getGDataRequest

    public Service.GDataRequest getGDataRequest()

### getRequestVersion

    public Version getRequestVersion()

### getAltRegistry

    public com.google.gdata.wireformats.AltRegistry getAltRegistry()

  Description copied from interface: `com.google.gdata.wireformats.StreamProperties`
  Returns the `AltRegistry` that contains the set of supported representations and the parser/generator configuration for them.

  Specified by:
    `getAltRegistry` in interface `com.google.gdata.wireformats.StreamProperties`

### isPartial

    public boolean isPartial()

### getExtensionProfile

    public ExtensionProfile getExtensionProfile()

  Description copied from interface: `com.google.gdata.wireformats.StreamProperties`
  Returns the `ExtensionProfile` associated with the stream.

  Specified by:
    `getExtensionProfile` in interface `com.google.gdata.wireformats.StreamProperties`
  Returns:
    extension profile or `null` for requests that use the data model classes in com.google.gdata.model.

### getMetadataContext

    protected com.google.gdata.model.MetadataContext getMetadataContext()

  Returns a `MetadataContext` based upon the alt format and version of the request associated with these properties. This can be used by subclasses to bind root element metadata for request or response types.

### getQueryParameterNames

    public java.util.Collection<java.lang.String> getQueryParameterNames()

  Description copied from interface: `com.google.gdata.wireformats.StreamProperties`
  Returns a `Collection` that contains the name of all query parameters found in the request.

  Specified by:
    `getQueryParameterNames` in interface `com.google.gdata.wireformats.StreamProperties`

### getQueryParameter

    public java.lang.String getQueryParameter(java.lang.String name)

  Description copied from interface: `com.google.gdata.wireformats.StreamProperties`
  Returns the value of a request query parameter by name or `null` if not found.

  Specified by:
    `getQueryParameter` in interface `com.google.gdata.wireformats.StreamProperties`

### getAltFormat

    protected com.google.gdata.wireformats.AltFormat getAltFormat()

  Returns the `AltFormat` describing the representation used for the current request.

  Returns:
    alternate representation format for current request

### getParameterMap

    protected com.google.gdata.util.common.net.UriParameterMap getParameterMap()

  Returns the `UriParameterMap` containing the decoded query parameters for the current request.

  Returns:
    query parameter map containing decoded query parameters